Package com.google.android.exoplayer2.extractor

## Class SeekPoint

- java.lang.Object
- - com.google.android.exoplayer2.extractor.SeekPoint

-     public final class SeekPoint
      extends Object

  Defines a seek point in a media stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `position` | The byte offset of the seek point.
    `static SeekPoint` | `START` | A `SeekPoint` whose time and byte offset are both set to 0.
    `long` | `timeUs` | The time of the seek point, in microseconds.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeekPoint​(long timeUs, long position)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### START

          public static final SeekPoint START

      A `SeekPoint` whose time and byte offset are both set to 0.

    - #### timeUs

          public final long timeUs

      The time of the seek point, in microseconds.

    - #### position

          public final long position

      The byte offset of the seek point.

  - ### Constructor Detail

    - #### SeekPoint

          public SeekPoint​(long timeUs,
                           long position)

      Parameters:
        `timeUs` - The time of the seek point, in microseconds.
        `position` - The byte offset of the seek point.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`